Bug 1970166 - MCO: maxUnavailable of ds/machine-config-daemon does not get updated due to missing resourcemerge check
Summary: MCO: maxUnavailable of ds/machine-config-daemon does not get updated due to m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: John Kyros
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1969681
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-10 00:31 UTC by OpenShift BugZilla Robot
Modified: 2021-08-11 06:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-11 06:41:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2682 0 None open [release-4.7] Bug 1970166: MCO: maxUnavailable of ds/machine-config-daemon does not get updated due to missing resourcem... 2021-07-19 16:16:00 UTC
Red Hat Product Errata RHSA-2021:2977 0 None None None 2021-08-11 06:42:01 UTC

Comment 4 Michael Nguyen 2021-08-04 20:52:06 UTC
Verified on ocp-release:4.7.23-x86_64 

$ oc get co/machine-config
NAME             VERSION   AVAILABLE   PROGRESSING   DEGRADED   SINCE
machine-config   4.5.41    True        False         False      3h25m
$  oc get -n openshift-machine-config-operator ds/machine-config-daemon -o json | jq .spec.updateStrategy
{
  "rollingUpdate": {
    "maxUnavailable": 1
  },
  "type": "RollingUpdate"
}
$ oc adm upgrade --to-image=quay.io/openshift-release-dev/ocp-release:4.6.41-x86_64 --force
Updating to release image quay.io/openshift-release-dev/ocp-release:4.6.41-x86_64
$ oc get co/machine-config
NAME             VERSION   AVAILABLE   PROGRESSING   DEGRADED   SINCE
machine-config   4.6.41    True        False         False      22m

$  oc get -n openshift-machine-config-operator ds/machine-config-daemon -o json | jq .spec.updateStrategy
{
  "rollingUpdate": {
    "maxUnavailable": 1
  },
  "type": "RollingUpdate"
}
$ oc adm upgrade --to-image=quay.io/openshift-release-dev/ocp-release:4.7.23-x86_64 --force
Updating to release image quay.io/openshift-release-dev/ocp-release:4.7.23-x86_64
$ oc get co/machine-config
NAME             VERSION   AVAILABLE   PROGRESSING   DEGRADED   SINCE
machine-config   4.7.23    True        False         False      110s
$  oc get -n openshift-machine-config-operator ds/machine-config-daemon -o json | jq .spec.updateStrategy
{
  "rollingUpdate": {
    "maxUnavailable": "10%"
  },
  "type": "RollingUpdate"
}

Comment 6 errata-xmlrpc 2021-08-11 06:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.23 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2977


Note You need to log in before you can comment on or make changes to this bug.